#productcarousel {
  max-width: 500px;
  text-align: center;
  margin: 0 auto;
}

.productcarousel-container {
  background-color: #edefed;
}

.coltitle {
  font-size: 17px;
  font-weight: 700;
  color: #fff;
  background: #33822b;
  border-radius: 10px;
}

.underlined-color {
  text-decoration: underline;
  text-decoration-color: #efd50f;
  text-decoration-thickness: 0.1rem;
  text-decoration-style: solid;
  color: #33822b;
  text-align: center;
}

.medium-bold {
  font-weight: 500;
}

.cartbox-info i {
  display: inline-block;
  color: #33822b;
  width: 26px;
}

.quantity {
  font-size: 18px;
  font-weight: 400;
}

.img-50-w {
  max-width: 50%;
  margin: 0px auto 25px auto;
}

.fb-video-container {
  padding-top: 55%;
  width: 100%;
  position: relative;
}

.fb-video-container iframe {
  border: none;
  overflow: hidden;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  width: 100%;
  height: 100%;
}

.argumentstable-pro {
  color: #33822b;
  font-weight: 700;
}

.argumentstable-contra {
  color: #790000;
  font-weight: 700;
}

.centerpikto {
  width: 60%;
  max-width: 150px;
  margin: 0 auto;
}

#stolenvar-p {
  top: -5px;
}

.custom-checkbox-container p {
  position: relative;
  top: -5px;
}

#quantity {
  width: 50px;
}

.checklist {
  list-style: none;
  padding-inline-start: 10px;
}

.checklist li {
  line-height: 22px;
  font-size: 18px;
  padding-bottom: 5px;
  text-align: left;
}

.checklist li i {
  font-size: 20px;
  padding-right: 10px;
  color: #33822b;
  font-weight: 400;
}

.btn-primary:not(:disabled):not(.disabled).active,
.btn-primary:not(:disabled):not(.disabled):active,
.show > .btn-primary.dropdown-toggle {
  color: #fff;
  background-color: #ff3e3e;
  border-color: #a03e3e;
}

.btn-primary:not(:disabled):not(.disabled).active:focus,
.btn-primary:not(:disabled):not(.disabled):active:focus,
.show > .btn-primary.dropdown-toggle:focus {
  box-shadow: 0 0 0 0.2rem rgb(189 58 58 / 50%);
}

#buy-btn-icon {
  clip-path: polygon(0 0, calc(100% - 15px) 0, 100% 100%, 0px 100%);
  float: left;
  background: #33822b;
  color: #fff;
  height: 100%;
  padding: 10px 15px 10px 5px;
  border-top-left-radius: 10px;
  border-bottom-left-radius: 10px;
  transition: 0.4s;
}

#buy-btn-icon i {
  color: #fff !important;
  background: #33822b !important;
}

#buy-btn-text {
  margin: 10px 10px;
  transition: 0.4s;
}

#addtocart {
  border-radius: 10px !important;
}

#addtocart:hover #buy-btn-icon {
  padding: 10px 17.5px 10px 7.5px;
}

#addtocart:hover #buy-btn-text {
  margin: 10px 7.5px;
}

#addtocartbox i {
  color: #33822b;
  width: 26px;
  background: #edefed;
}

#qauntity {
  width: 50px;
}

label[for="varanty"] {
  left: 30px;
}

.extraversion p {
  font-size: 18px;
  position: relative;
  top: -5px;
}

.extraversion-description {
  font-size: 18px;
  margin-bottom: 5px;
}

.normal-14 {
  font-size: 14px;
}

#buyalot {
  color: #33822b;
  width: 26px;
}

#varanty p {
  font-size: 18px;
  font-weight: 400;
  position: relative;
  top: -5px;
}

#varanty-price {
  color: #e2001a;
  font-weight: 700;
  display: inline;
  font-size: 16px;
  padding-left: 5px;
  top: -5px;
  position: relative;
}

#varanty-price span {
  text-decoration: line-through;
}

.normal-16 {
  font-size: 16px;
  font-weight: 400;
}

.normal-18 {
  font-size: 18px;
  font-weight: 400;
}

.product_img {
  position: relative;
  margin: 45px 0px -15px;
}

.product_img img {
  max-width: 100%;
  height: auto;
}

.explain_dot {
  position: absolute;
  top: 50%;
  left: 50%;
  cursor: pointer;
}

.explain_dot::before {
  width: 35px;
  height: 35px;
  border: 1px solid #252830;
  background-color: #efd50fdd;
  display: block;
  font-family: "Font Awesome 5 Pro";
  color: #fff;
  font-weight: 300;
  line-height: 35px;
  text-align: center;
  content: "\f067";
  transform: rotate(0deg);
  border-radius: 50%;
  background-position: 50% 50%;
  background-repeat: no-repeat;
  transition: all 250ms ease 0s;
  animation: 2s ease 0s infinite normal none running pulse;
}

.explain_dot.state-active::before {
  background-color: #33822b;
  transform: rotate(45deg);
  animation: 0s ease 0s 1 normal none running none;
}

.explain_dot.state-active .explain_dot-tooltip {
  transform: translateX(-50%) translateY(-20px);
  opacity: 1;
  visibility: visible;
  background-color: #252830;
  border-radius: 15px;
}

.explain_dot-tooltip {
  width: 280px;
  text-align: center;
  color: rgb(255, 255, 255);
  box-shadow: rgb(0 0 0 / 38%) 5px 8px 30px 1px;
  background-color: #252830;
  position: absolute;
  left: 50%;
  transform: translateX(-50%) translateY(-10px);
  bottom: 100%;
  font-size: 18px;
  line-height: 1.35;
  opacity: 0;
  visibility: hidden;
  border: 2px solid #efd50f;
  z-index: 99;
  padding: 25px 30px 27px;
  border-radius: 4px;
  transition: all 250ms ease 0s;
}

@media only screen and (max-width: 767px) {
  .explain_dot-tooltip {
    width: 200px;
    font-size: 14px;
    line-height: 1.15;
    padding: 5px 6px 5px;
  }
  .explain_dot::before {
    width: 20px;
    height: 20px;
    size: 20px;
    line-height: 20px;
    text-align: center;
  }
}

.explain_dot-tooltip::after {
  position: absolute;
  top: 100%;
  left: 50%;
  display: block;
  width: 0px;
  height: 0px;
  margin-left: -10px;
  content: "";
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  border-top: 10px solid rgb(241 234 15);
}

.sub-price {
  font-size: 22px;
  color: #fff;
}

.btn-outline-light:hover {
  color: #252830;
}

.sub-price .bracket {
  color: #fff;
}

.yellow-circle {
  border-radius: 50%;
  font-size: 30px;
  width: 40px;
  height: 40px;
  display: inline-block;
  background: #efd50f;
  color: #fff;
  margin-right: 10px;
  text-align: center;
  line-height: 40px;
}

.yellow-circle-big {
  border-radius: 50%;
  font-size: 40px;
  width: 60px;
  height: 60px;
  display: inline-block;
  background: #efd50f;
  color: #fff;
  margin-right: 10px;
  text-align: center;
  line-height: 60px;
}

.text-red {
  color: #ff0000;
}

.pack {
  background: #fff;
  border: 3px solid #fff;
  border-radius: 20px;
}

.pack img {
  border-radius: 20px;
  max-width: 350px;
}

.pack ul li {
  color: #000;
  text-align: left;
  border-bottom: 1px solid #eed40e;
  font-size: 16px;
}

.pack ul li .badge {
  font-size: 12px;
}

.pack ul li p {
  color: #000;
  text-align: left;
  font-size: 16px;
}

.pack ul li:last-of-type {
  border-bottom: none;
}

.pack ul li.contains {
  list-style-image: url("https://www.vadalarm.hu/img/green-tick.png");
}

.pack ul li.notcontains {
  list-style-image: url("https://www.vadalarm.hu/img/red-x.png");
}

.pack ul li.optional {
  list-style-type: none;
  position: relative;
  border-bottom: none;
  left: -31px;
}

.pack ul li.optional p {
  border-bottom: 1px solid #eed40e;
  margin-bottom: 0px;
}

.pack .card-text {
  color: #000;
}

.pack-price {
  font-size: 22px;
  color: #000;
  font-weight: 700;
  margin-bottom: 5px;
}

.pack-price span {
  color: #822b2b;
  text-shadow: 0px 0px #000;
  background: #eed40e;
  padding: 0px 5px;
  font-size: 18px;
}

.pack ul li.optional.badge-checkbox {
  cursor: pointer;
}

.pack ul li.optional:not(.selected) {
  color: #822b2b;
}

.pack ul li.optional.selected {
  color: #33822b;
}

.text-black {
  color: #000 !important;
}

.pack ul li {
  color: #000;
  text-align: left;
  border-bottom: 1px solid #eed40e;
  font-size: 20px;
}

.pack ul li:last-of-type {
  border-bottom: none;
}

.pack-description-list hr {
  padding: 0px;
  margin-bottom: -13px;
  margin-top: 22px;
}

.optional-elements {
  position: relative;
  list-style-type: none;
  border: none;
  font-size: 16px !important;
  margin-bottom: 7px;
  margin-right: 30px;
  padding-right: 5px;
  padding-left: 5px;
  background: #f2e161;
  width: auto;
  display: inline-block;
  border-radius: 10px;
}

#most-popular-badge {
  position: absolute;
  right: 0px;
  top: -20px;
  background: #eed40e;
  text-align: center;
  border-radius: 30px 30px 30px 30px;
  color: #000;
  padding: 5px 16px;
  font-size: 16px;
}

#limited-edition-badge {
  position: absolute;
  right: 0px;
  top: -20px;
  background: #eed40e;
  text-align: center;
  border-radius: 30px 30px 30px 30px;
  color: #000;
  padding: 5px 16px;
  font-size: 20px;
}

.quantity-container {
  font-size: 20px;
}

input[class="quantity"]::-webkit-outer-spin-button,
input[class="quantity"]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */

input[class="quantity"] {
  -moz-appearance: textfield;
}

.qty-minus-btn,
.qty-plus-btn {
  border-radius: 50%;
  border: 1px solid #444444;
  font-size: 20px;
  line-height: 20px;
  width: 30px !important;
  padding: 0px;
  padding-bottom: 2px;
  margin: 0px 5px;
  font-weight: 700;
  height: 30px !important;
  line-height: 100%;
  text-align: center;
}

.qty-minus-btn:focus,
.qty-plus-btn:focus {
  outline: 1px solid #ddd;
}

.quantity-container .quantity {
  width: 40px;
  font-size: 20px;
  text-align: center;
}

.btn.rounded-pill:not(.btn-outline-primary):hover {
  color: #000 !important;
}

.text-black {
  color: #000 !important;
}

.underline-yellow {
  text-decoration: underline;
  text-transform: uppercase;
  text-decoration-color: #eed40e;
  text-decoration-thickness: 0.2rem;
  text-decoration-style: solid;
  color: #fff;
  text-align: center;
}

.shadowed-card {
  box-shadow: 0px 0px 12px 5px #ad9b9b;
  border: 3px solid #000 !important;
}

@keyframes pulse {
  0% {
    -moz-box-shadow: 0 0 0 0 rgba(10, 138, 31, 0.4);
    box-shadow: 0 0 0 0 rgba(21, 148, 53, 0.4);
  }
  70% {
    -moz-box-shadow: 0 0 0 15px rgba(41, 95, 204, 0);
    box-shadow: 0 0 0 15px rgba(41, 204, 63, 0);
  }
  100% {
    -moz-box-shadow: 0 0 0 0 rgba(41, 204, 68, 0);
    box-shadow: 0 0 0 0 rgba(41, 204, 68, 0);
  }
}

.function-card {
  max-width: 380px;
  position: relative;
  overflow: hidden;
  z-index: 1;
  width: fit-content;
  margin: 0 auto;
  border: 3px solid #eed40d;
  border-radius: 15px;
}

.function-card img {
  width: 100%;
  height: auto;
  max-width: 300px;
}

.paramcard.opened .param {
  transform: rotate(20deg);
}

.function-card.opened .fon {
  opacity: 0;
}

.function-card.opened .function-description {
  height: 0%;
  padding: 10px 0 0;
}

.function-card.opened .function-description h2 {
  margin-bottom: 0;
  display: none;
}

.function-card.opened .function-description p {
  opacity: 0;
}

.function-card.opened .function-description .function-cursor,
.function-card.opened .pulse-container {
  display: none;
}

.fon {
  position: absolute;
  width: 100%;
  height: 100%;
  background: #000;
  opacity: 0.3;
  z-index: 2;
  transition: opacity 0.25s;
}

.function-description {
  position: absolute;
  top: 0;
  left: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  background: #fff;
  height: 100%;
  width: 100%;
  text-align: center;
  padding: 40px 0 0;
  z-index: 4;
  transition:
    height 0.25s,
    padding 0.25s;
}

.function-description h2 {
  text-transform: uppercase;
  letter-spacing: 2px;
  margin-bottom: 20px;
  transition: margin-bottom 0.25s;
  overflow-wrap: break-word;
  line-height: 1.5em;
  font-size: 1.8em;
  font-family: "HuntorHeading";
}

.function-description p {
  line-height: 20px;
  margin: 0 10px;
  z-index: 5;
  transition: opacity 0.25s;
}

.function-description .function-cursor {
  cursor: pointer;
  position: absolute;
  bottom: 0px;
  background: #fff;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  padding: 10px;
}

.function-mockup {
  position: relative;
  min-height: 600px;
  max-width: 100%;
  width: 300px;
}

.function-mockup .iphone-frame {
  z-index: 1;
  position: absolute;
}

.function-mockup .function-gif {
  z-index: 0;
  position: absolute;
  max-width: 220px;
  left: 15px;
  top: 12px;
}

.pulse-container {
  position: relative;
}

.pulse-content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 2;
}

.pulse {
  top: calc(50% - 0px);
  left: calc(50% - 0px);
  width: 100px;
  height: 100px;
  border: 2px solid #eed40d;
  border-radius: 50%;
  transform: translate(-50%, -50%) scale(0.8);
  animation: pulse-animation 2s infinite;
  z-index: 1;
}

.pulse:nth-child(1) {
  animation-delay: 0.5s;
  position: relative;
}
.pulse:nth-child(2) {
  animation-delay: 0.5s;
  top: 50px;
  position: relative;
}
.pulse:nth-child(3) {
  animation-delay: 1s;
  top: -50px;
  position: relative;
}

@keyframes pulse-animation {
  0% {
    transform: translate(-50%, -50%) scale(0.8);
    opacity: 0.6;
  }
  50% {
    transform: translate(-50%, -50%) scale(1.5);
    opacity: 0.2;
  }
  100% {
    transform: translate(-50%, -50%) scale(1.8);
    opacity: 0;
  }
}

#productsgif {
  max-width: 300px;
}

.upsell-countdown {
  color: #ff0000;
  font-size: 31px;
  text-align: center;
  font-weight: 700;
}

.upsell-text {
  font-size: 18px;
  font-weight: 400;
}
